"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parameterBuilder_1 = require("../parameterBuilder");
var DatabaseConnectionRequest = (function () {
    function DatabaseConnectionRequest(request) {
        this.request = request;
    }
    DatabaseConnectionRequest.prototype.addParameters = function (parameters) {
        this.request.addParameters(parameters);
        return this;
    };
    DatabaseConnectionRequest.prototype.addParameter = function (name, value) {
        this.request.addParameter(name, value);
        return this;
    };
    DatabaseConnectionRequest.prototype.addHeader = function (name, value) {
        this.request.addHeader(name, value);
        return this;
    };
    DatabaseConnectionRequest.prototype.setConnection = function (connection) {
        this.request.addParameter(parameterBuilder_1.ParameterBuilder.CONNECTION_KEY, connection);
        return this;
    };
    DatabaseConnectionRequest.prototype.start = function (callback) {
        this.request.start(callback);
    };
    return DatabaseConnectionRequest;
}());
exports.DatabaseConnectionRequest = DatabaseConnectionRequest;
//# sourceMappingURL=databaseConnectionRequest.js.map