"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var authentication_1 = require("../../result/authentication");
var ProfileRequest = (function () {
    function ProfileRequest(credentialsRequest, userInfoRequest) {
        this.credentialsRequest = credentialsRequest;
        this.userInfoRequest = userInfoRequest;
    }
    ProfileRequest.prototype.addParameters = function (parameters) {
        this.credentialsRequest.addAuthenticationParameters(parameters);
        return this;
    };
    ProfileRequest.prototype.setScope = function (scope) {
        this.credentialsRequest.setScope(scope);
        return this;
    };
    ProfileRequest.prototype.start = function (callback) {
        var _this = this;
        this.credentialsRequest.start({
            onSuccess: function (credentials) {
                _this.userInfoRequest
                    .addHeader(ProfileRequest.HEADER_AUTHORIZATION, "Bearer " + credentials.accessToken)
                    .start({
                    onSuccess: function (profile) {
                        callback.onSuccess(new authentication_1.Authentication(profile, credentials));
                    },
                    onFailure: function (error) {
                        callback.onFailure(error);
                    }
                });
            },
            onFailure: function (error) {
                callback.onFailure(error);
            }
        });
    };
    ProfileRequest.HEADER_AUTHORIZATION = "Authorization";
    return ProfileRequest;
}());
exports.ProfileRequest = ProfileRequest;
//# sourceMappingURL=profileRequest.js.map