"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SignUpRequest = (function () {
    function SignUpRequest(signUpRequest, authenticationRequest) {
        this.signUpRequest = signUpRequest;
        this.authenticationRequest = authenticationRequest;
    }
    SignUpRequest.prototype.addSignUpParameters = function (parameters) {
        this.signUpRequest.addParameters(parameters);
        return this;
    };
    SignUpRequest.prototype.addAuthenticationParameters = function (parameters) {
        this.authenticationRequest.addAuthenticationParameters(parameters);
        return this;
    };
    SignUpRequest.prototype.setScope = function (scope) {
        this.authenticationRequest.setScope(scope);
        return this;
    };
    SignUpRequest.prototype.setAudience = function (audience) {
        this.authenticationRequest.setAudience(audience);
        return this;
    };
    SignUpRequest.prototype.setAccessToken = function (accessToken) {
        this.authenticationRequest.setAccessToken(accessToken);
        return this;
    };
    SignUpRequest.prototype.setGrantType = function (grantType) {
        this.authenticationRequest.setGrantType(grantType);
        return this;
    };
    SignUpRequest.prototype.setRealm = function (realm) {
        this.signUpRequest.setConnection(realm);
        this.authenticationRequest.setRealm(realm);
        return this;
    };
    SignUpRequest.prototype.start = function (callback) {
        var _this = this;
        this.signUpRequest.start({
            onSuccess: function (user) {
                _this.authenticationRequest.start(callback);
            },
            onFailure: function (error) {
                callback.onFailure(error);
            }
        });
    };
    return SignUpRequest;
}());
exports.SignUpRequest = SignUpRequest;
//# sourceMappingURL=signUpRequest.js.map