"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Activity = android.app.Activity;
var Log = android.util.Log;
var AuthorizeResult = (function () {
    function AuthorizeResult() {
        if (arguments.length >= 2) {
            this.requestCode = arguments[0];
            this.resultCode = arguments[1];
            this.intent = arguments[2];
        }
        else {
            this.requestCode = AuthorizeResult.MISSING_REQUEST_CODE;
            this.resultCode = Activity.RESULT_OK;
            this.intent = arguments[0];
        }
    }
    AuthorizeResult.prototype.isValid = function (expectedRequestCode) {
        var uri = this.intent != null ? this.intent.getData() : null;
        if (uri == null) {
            Log.d(AuthorizeResult.TAG, "Result is invalid: Received Intent's Uri is null.");
            return false;
        }
        if (this.requestCode === AuthorizeResult.MISSING_REQUEST_CODE) {
            return true;
        }
        var fromRequest = this.getRequestCode() === expectedRequestCode;
        if (!fromRequest) {
            Log.d(AuthorizeResult.TAG, java.lang.String.format("Result is invalid: Received Request Code doesn't match the expected one. Was %d but expected %d", [this.getRequestCode(), expectedRequestCode]));
        }
        return fromRequest && this.resultCode === Activity.RESULT_OK;
    };
    AuthorizeResult.prototype.getIntent = function () {
        return this.intent;
    };
    AuthorizeResult.prototype.getRequestCode = function () {
        return this.requestCode;
    };
    AuthorizeResult.prototype.getResultCode = function () {
        return this.resultCode;
    };
    AuthorizeResult.TAG = 'AuthorizeResult';
    AuthorizeResult.MISSING_REQUEST_CODE = -100;
    return AuthorizeResult;
}());
exports.AuthorizeResult = AuthorizeResult;
//# sourceMappingURL=authorizeResult.js.map