"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Uri = android.net.Uri;
var Log = android.util.Log;
var URLUtil = android.webkit.URLUtil;
var CallbackHelper = (function () {
    function CallbackHelper() {
    }
    CallbackHelper.getCallbackUri = function (scheme, packageName, domain) {
        if (!URLUtil.isValidUrl(domain)) {
            Log.e(CallbackHelper.TAG, "The Domain is invalid and the Callback URI will not be set. You used: " + domain);
            return null;
        }
        var uri = Uri.parse(domain)
            .buildUpon()
            .scheme(scheme)
            .appendPath("android")
            .appendPath(packageName)
            .appendPath("callback")
            .build();
        Log.v(CallbackHelper.TAG, "The Callback URI is: " + uri);
        return uri.toString();
    };
    CallbackHelper.getValuesFromUri = function (uri) {
        return CallbackHelper.asMap(uri.getQuery() != null ? uri.getQuery() : uri.getFragment());
    };
    CallbackHelper.asMap = function (valueString) {
        if (valueString == null) {
            return {};
        }
        var entries = valueString.length > 0 ? valueString.split('&') : [];
        var values = {};
        for (var _i = 0, entries_1 = entries; _i < entries_1.length; _i++) {
            var entry = entries_1[_i];
            var value = entry.split('=');
            if (value.length === 2) {
                values[value[0]] = value[1];
            }
        }
        return values;
    };
    CallbackHelper.TAG = 'CallbackHelper';
    return CallbackHelper;
}());
exports.CallbackHelper = CallbackHelper;
//# sourceMappingURL=callbackHelper.js.map