"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var simpleRequest_1 = require("./simpleRequest");
var authenticationErrorBuilder_1 = require("./authenticationErrorBuilder");
var parameterBuilder_1 = require("../../authentication/parameterBuilder");
var BaseAuthenticationRequest = (function (_super) {
    __extends(BaseAuthenticationRequest, _super);
    function BaseAuthenticationRequest(url, httpMethod, clazz) {
        return _super.call(this, url, httpMethod, clazz, new authenticationErrorBuilder_1.AuthenticationErrorBuilder()) || this;
    }
    BaseAuthenticationRequest.prototype.setGrantType = function (grantType) {
        this.addParameter(parameterBuilder_1.ParameterBuilder.GRANT_TYPE_KEY, grantType);
        return this;
    };
    BaseAuthenticationRequest.prototype.setRealm = function (realm) {
        this.addParameter(parameterBuilder_1.ParameterBuilder.REALM_KEY, realm);
        return this;
    };
    BaseAuthenticationRequest.prototype.setScope = function (scope) {
        this.addParameter(parameterBuilder_1.ParameterBuilder.SCOPE_KEY, scope);
        return this;
    };
    BaseAuthenticationRequest.prototype.setAudience = function (audience) {
        this.addParameter(parameterBuilder_1.ParameterBuilder.AUDIENCE_KEY, audience);
        return this;
    };
    BaseAuthenticationRequest.prototype.setAccessToken = function (accessToken) {
        this.addParameter(parameterBuilder_1.ParameterBuilder.ACCESS_TOKEN_KEY, accessToken);
        return this;
    };
    BaseAuthenticationRequest.prototype.addAuthenticationParameters = function (parameters) {
        var params = Object.assign({}, parameters);
        this.addParameters(params);
        return this;
    };
    BaseAuthenticationRequest.TAG = 'BaseAuthenticationRequest';
    return BaseAuthenticationRequest;
}(simpleRequest_1.SimpleRequest));
exports.BaseAuthenticationRequest = BaseAuthenticationRequest;
//# sourceMappingURL=baseAuthenticationRequest.js.map