"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var http_1 = require("tns-core-modules/http/http");
var IOException = java.io.IOException;
var baseRequest_1 = require("./baseRequest");
var auth0Exception_1 = require("../../auth0Exception");
var SimpleRequest = (function (_super) {
    __extends(SimpleRequest, _super);
    function SimpleRequest() {
        var _this = this;
        var url = arguments[0], httpMethod = arguments[1];
        if (arguments.length > 3) {
            var clazz = arguments[2];
            var errorBuilder = arguments[3];
            _this = _super.call(this, url, clazz, errorBuilder) || this;
        }
        else {
            var clazz = { initWithJson: function () { return null; } };
            var errorBuilder = arguments[2];
            _this = _super.call(this, url, clazz, errorBuilder) || this;
        }
        _this.method = httpMethod;
        return _this;
    }
    SimpleRequest.prototype.onResponse = function (response) {
        if (response.statusCode >= 400) {
            this.postOnFailure(this.parseUnsuccessfulResponse(response));
            return;
        }
        try {
            var body = response.content.toJSON(http_1.HttpResponseEncoding.UTF8);
            var payload = this.getAdapter().initWithJson(body);
            this.postOnSuccess(payload);
        }
        catch (e) {
            if (e instanceof IOException) {
                var auth0Exception = new auth0Exception_1.Auth0Exception("Failed to parse response to request to " + this.url + " - " + e.toString());
                this.postOnFailure(this.getErrorBuilder().from("Failed to parse a successful response", auth0Exception));
            }
            else {
                throw e;
            }
        }
    };
    SimpleRequest.prototype.doBuildRequest = function () {
        var sendBody = this.method === "HEAD" || this.method === "GET";
        return Object.assign({}, this.newRequestOptions(this.method), {
            content: sendBody ? undefined : this.buildBody()
        });
    };
    return SimpleRequest;
}(baseRequest_1.BaseRequest));
exports.SimpleRequest = SimpleRequest;
//# sourceMappingURL=simpleRequest.js.map