"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var baseRequest_1 = require("./baseRequest");
var VoidRequest = (function (_super) {
    __extends(VoidRequest, _super);
    function VoidRequest(url, httpMethod, errorBuilder) {
        var _this = _super.call(this, url, { initWithJson: function () { return null; } }, errorBuilder) || this;
        _this.httpMethod = httpMethod;
        return _this;
    }
    VoidRequest.prototype.onResponse = function (response) {
        if (response.statusCode >= 400) {
            this.postOnFailure(this.parseUnsuccessfulResponse(response));
            return;
        }
        this.postOnSuccess(null);
    };
    VoidRequest.prototype.doBuildRequest = function () {
        var body = this.buildBody();
        return Object.assign({}, this.newRequestOptions(this.httpMethod), {
            content: body
        });
    };
    return VoidRequest;
}(baseRequest_1.BaseRequest));
exports.VoidRequest = VoidRequest;
//# sourceMappingURL=voidRequest.js.map