"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Base64 = android.util.Base64;
var Telemetry = (function () {
    function Telemetry(name, version, libraryVersion) {
        if (libraryVersion === void 0) { libraryVersion = undefined; }
        this.name = name;
        this.version = version;
        this.libraryVersion = libraryVersion;
    }
    Telemetry.prototype.getName = function () {
        return this.name;
    };
    Telemetry.prototype.getVersion = function () {
        return this.version;
    };
    Telemetry.prototype.getLibraryVersion = function () {
        return this.libraryVersion;
    };
    Telemetry.prototype.getValue = function () {
        var values = {};
        if (this.name != null) {
            values[Telemetry.NAME_KEY] = this.name;
        }
        if (this.version != null) {
            values[Telemetry.VERSION_KEY] = this.version;
        }
        if (this.libraryVersion != null) {
            values[Telemetry.LIB_VERSION_KEY] = this.libraryVersion;
        }
        if (Object.keys(values).length === 0) {
            return null;
        }
        var javaString = new java.lang.String(JSON.stringify(values));
        return Base64.encodeToString(javaString.getBytes('UTF-8'), Base64.URL_SAFE | Base64.NO_WRAP | Base64.NO_PADDING);
    };
    Telemetry.HEADER_NAME = "Auth0-Client";
    Telemetry.NAME_KEY = "name";
    Telemetry.VERSION_KEY = "version";
    Telemetry.LIB_VERSION_KEY = "lib_version";
    return Telemetry;
}());
exports.Telemetry = Telemetry;
//# sourceMappingURL=telemetry.js.map