import { Auth0Common, ResponseType, WebAuthException, WebAuthOptions } from './auth0-common';
import { Credentials } from './common/credentials';
import { UserInfo } from './common/userInfo';
export { Credentials, UserInfo, ResponseType, WebAuthException, WebAuthOptions };
export declare class Auth0 extends Auth0Common {
    private account;
    private authenticationApi;
    constructor(clientId: string, domain: string);
    webAuthentication(options: WebAuthOptions): Promise<Credentials>;
    renewCredentials(refreshToken: string): Promise<Credentials>;
    revokeRefreshToken(refreshToken: string): Promise<void>;
    getUserInfo(accessToken: string): Promise<UserInfo>;
}
