"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Credentials = (function () {
    function Credentials(accessToken, tokenType, idToken, refreshToken, expiresIn, expiresAt, scope) {
        if (accessToken === void 0) { accessToken = undefined; }
        if (tokenType === void 0) { tokenType = undefined; }
        if (idToken === void 0) { idToken = undefined; }
        if (refreshToken === void 0) { refreshToken = undefined; }
        if (expiresIn === void 0) { expiresIn = undefined; }
        if (expiresAt === void 0) { expiresAt = undefined; }
        if (scope === void 0) { scope = undefined; }
        this.accessToken = accessToken;
        this.tokenType = tokenType;
        this.idToken = idToken;
        this.refreshToken = refreshToken;
        this.expiresIn = expiresIn;
        this.expiresAt = expiresAt;
        this.scope = scope;
        if (expiresAt == null && expiresIn != null) {
            this.expiresAt = new Date(Date.now() + expiresIn * 1000);
        }
        if (expiresIn == null && expiresAt != null) {
            this.expiresIn = (expiresAt.getTime() - Date.now()) / 1000;
        }
    }
    Credentials.initWithJson = function (json) {
        var accessToken = json["access_token"];
        var tokenType = json["token_type"];
        var idToken = json["id_token"];
        var refreshToken = json["refresh_token"];
        var expiresIn = json["expires_in"];
        var expiresAt = json["expires_at"];
        var scope = json["scope"];
        return new Credentials(accessToken, tokenType, idToken, refreshToken, (expiresIn != null) ? Number(expiresIn) : undefined, (expiresAt != null) ? new Date(expiresAt) : undefined, scope);
    };
    Credentials.prototype.toJSON = function () {
        return {
            access_token: this.accessToken,
            token_type: this.tokenType,
            id_token: this.idToken,
            refresh_token: this.refreshToken,
            expires_in: this.expiresIn,
            expires_at: this.expiresAt,
            scope: this.scope
        };
    };
    return Credentials;
}());
exports.Credentials = Credentials;
//# sourceMappingURL=credentials.js.map