"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DatabaseUser = (function () {
    function DatabaseUser(email, username, emailVerified) {
        if (email === void 0) { email = undefined; }
        if (username === void 0) { username = undefined; }
        if (emailVerified === void 0) { emailVerified = undefined; }
        this.email = email;
        this.username = username;
        this.emailVerified = emailVerified;
    }
    DatabaseUser.initWithJson = function (json) {
        var username = json["username"];
        var email = json["email"];
        var emailVerified;
        var emailVerifiedRaw = json["email_verified"];
        if (emailVerifiedRaw != null) {
            emailVerified = (typeof emailVerifiedRaw === 'boolean')
                ? emailVerifiedRaw
                : emailVerifiedRaw === 'true';
        }
        return new DatabaseUser(email, username, emailVerified);
    };
    DatabaseUser.prototype.toJSON = function () {
        return {
            email: this.email,
            username: this.username,
            email_verified: this.emailVerified
        };
    };
    return DatabaseUser;
}());
exports.DatabaseUser = DatabaseUser;
//# sourceMappingURL=databaseUser.js.map