"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UserInfo = (function () {
    function UserInfo(sub, name, givenName, familyName, middleName, nickname, preferredUsername, profileURL, pictureURL, websiteURL, email, emailVerified, gender, birthdate, zoneinfo, locale, phoneNumber, phoneNumberVerified, address, updatedAt, customClaims) {
        this.sub = sub;
        this.name = name;
        this.givenName = givenName;
        this.familyName = familyName;
        this.middleName = middleName;
        this.nickname = nickname;
        this.preferredUsername = preferredUsername;
        this.profileURL = profileURL;
        this.pictureURL = pictureURL;
        this.websiteURL = websiteURL;
        this.email = email;
        this.emailVerified = emailVerified;
        this.gender = gender;
        this.birthdate = birthdate;
        this.zoneinfo = zoneinfo;
        this.locale = locale;
        this.phoneNumber = phoneNumber;
        this.phoneNumberVerified = phoneNumberVerified;
        this.address = address;
        this.updatedAt = updatedAt;
        this.customClaims = customClaims;
    }
    UserInfo.initWithJson = function (json) {
        var sub = json["sub"];
        if (sub == null) {
            return undefined;
        }
        var name = json["name"];
        var givenName = json["given_name"];
        var familyName = json["family_name"];
        var middleName = json["middle_name"];
        var nickname = json["nickname"];
        var preferredUsername = json["preferred_username"];
        var profileURL = json["profile"];
        var pictureURL = json["picture"];
        var websiteURL = json["website"];
        var email = json["email"];
        var emailVerified;
        var emailVerifiedRaw = json["email_verified"];
        if (emailVerifiedRaw != null) {
            emailVerified = (typeof emailVerifiedRaw === 'boolean')
                ? emailVerifiedRaw
                : emailVerifiedRaw === 'true';
        }
        var gender = json["gender"];
        var birthdate = json["birthdate"];
        var zoneinfo = json["zoneinfo"];
        var locale = json["locale"];
        var phoneNumber = json["phone_number"];
        var phoneNumberVerified;
        var phoneNumberVerifiedRaw = json["phone_number_verified"];
        if (phoneNumberVerifiedRaw != null) {
            phoneNumberVerified = (typeof phoneNumberVerifiedRaw === 'boolean')
                ? phoneNumberVerifiedRaw
                : phoneNumberVerifiedRaw === 'true';
        }
        var address = json["address"];
        var updatedAt;
        var dateString = json["updated_at"];
        if (dateString != null) {
            updatedAt = new Date(dateString);
        }
        var customClaims = {};
        for (var key in json) {
            if (UserInfo.publicClaims.indexOf(key) > -1) {
                continue;
            }
            customClaims[key] = json[key];
        }
        return new UserInfo(sub, name, givenName, familyName, middleName, nickname, preferredUsername, profileURL, pictureURL, websiteURL, email, emailVerified, gender, birthdate, zoneinfo, locale, phoneNumber, phoneNumberVerified, address, updatedAt, customClaims);
    };
    UserInfo.prototype.toJSON = function () {
        var data = {
            sub: this.sub,
            name: this.name,
            given_name: this.givenName,
            family_name: this.familyName,
            middle_name: this.middleName,
            nickname: this.nickname,
            preferred_username: this.preferredUsername,
            profile: this.profileURL,
            picture: this.pictureURL,
            website: this.websiteURL,
            email: this.email,
            email_verified: this.emailVerified,
            gender: this.gender,
            birthdate: this.birthdate,
            zoneinfo: this.zoneinfo,
            locale: this.locale,
            phone_number: this.phoneNumber,
            phone_number_verified: this.phoneNumberVerified,
            address: this.address,
            updated_at: this.updatedAt
        };
        for (var key in this.customClaims) {
            data[key] = this.customClaims[key];
        }
    };
    UserInfo.publicClaims = [
        "sub",
        "name",
        "given_name",
        "family_name",
        "middle_name",
        "nickname",
        "preferred_username",
        "profile",
        "picture",
        "website",
        "email",
        "email_verified",
        "gender",
        "birthdate",
        "zoneinfo",
        "locale",
        "phone_number",
        "phone_number_verified",
        "address",
        "updated_at"
    ];
    return UserInfo;
}());
exports.UserInfo = UserInfo;
//# sourceMappingURL=userInfo.js.map