"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unknownError = 'a0.sdk.internal_error.unknown';
exports.nonJSONError = 'a0.sdk.internal_error.plain';
exports.emptyBodyError = 'a0.sdk.internal_error.empty';
var Auth0Error = (function (_super) {
    __extends(Auth0Error, _super);
    function Auth0Error(infoOrString, statusCode) {
        var _newTarget = this.constructor;
        if (infoOrString === void 0) { infoOrString = undefined; }
        if (statusCode === void 0) { statusCode = 0; }
        var _this = this;
        if (typeof infoOrString === 'object') {
            var values = infoOrString;
            values['statusCode'] = statusCode;
            _this = _super.call(this, values['description'] || "Failed with unknown error " + JSON.stringify(values)) || this;
            _this.info = values;
        }
        else {
            var code = infoOrString != null ? exports.nonJSONError : exports.emptyBodyError;
            var description = infoOrString || 'Empty response body';
            _this = _super.call(this, description) || this;
            _this.info = {
                'code': code,
                'description': description,
                'statusCode': statusCode
            };
        }
        Object.setPrototypeOf(_this, _newTarget.prototype);
        return _this;
    }
    Object.defineProperty(Auth0Error.prototype, "code", {
        get: function () {
            return this.info["code"] || exports.unknownError;
        },
        enumerable: true,
        configurable: true
    });
    return Auth0Error;
}(Error));
exports.Auth0Error = Auth0Error;
//# sourceMappingURL=auth0Error.js.map