"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var auth0Error_1 = require("./auth0Error");
var AuthenticationError = (function (_super) {
    __extends(AuthenticationError, _super);
    function AuthenticationError(infoOrString, statusCode) {
        var _newTarget = this.constructor;
        if (infoOrString === void 0) { infoOrString = undefined; }
        if (statusCode === void 0) { statusCode = 0; }
        var _this = this;
        if (typeof infoOrString === 'object') {
            infoOrString['description'] = infoOrString['description'] || infoOrString['error_description'];
        }
        _this = _super.call(this, infoOrString, statusCode) || this;
        Object.setPrototypeOf(_this, _newTarget.prototype);
        return _this;
    }
    Object.defineProperty(AuthenticationError.prototype, "isMultifactorRequired", {
        get: function () {
            return this.code === "a0.mfa_required" || this.code === "mfa_required";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthenticationError.prototype, "isMultifactorEnrollRequired", {
        get: function () {
            return this.code === "a0.mfa_registration_required" || this.code === "unsupported_challenge_type";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthenticationError.prototype, "isMultifactorCodeInvalid", {
        get: function () {
            return this.code === "a0.mfa_invalid_code" || this.code === "invalid_grant" && this.message === "Invalid otp_code.";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthenticationError.prototype, "isMultifactorTokenInvalid", {
        get: function () {
            return this.code === "expired_token" && this.message === "mfa_token is expired" || this.code === "invalid_grant" && this.message === "Malformed mfa_token";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthenticationError.prototype, "isPasswordNotStrongEnough", {
        get: function () {
            return this.code === "invalid_password" && this.value("name") === "PasswordStrengthError";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthenticationError.prototype, "isPasswordAlreadyUsed", {
        get: function () {
            return this.code === "invalid_password" && this.value("name") === "PasswordHistoryError";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthenticationError.prototype, "isRuleError", {
        get: function () {
            return this.code === "unauthorized";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthenticationError.prototype, "isInvalidCredentials", {
        get: function () {
            return this.code === "invalid_user_password" || (this.code === "invalid_grant" && this.message === "Wrong email or password.");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthenticationError.prototype, "isAccessDenied", {
        get: function () {
            return this.code === "access_denied";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AuthenticationError.prototype, "isTooManyAttempts", {
        get: function () {
            return this.code === "too_many_attempts";
        },
        enumerable: true,
        configurable: true
    });
    AuthenticationError.prototype.value = function (key) { return this.info[key]; };
    return AuthenticationError;
}(auth0Error_1.Auth0Error));
exports.AuthenticationError = AuthenticationError;
//# sourceMappingURL=authenticationError.js.map