"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ControllerModalPresenter = (function () {
    function ControllerModalPresenter() {
    }
    Object.defineProperty(ControllerModalPresenter.prototype, "rootViewController", {
        get: function () {
            var keyWindow = UIApplication.sharedApplication.keyWindow;
            return (keyWindow != null) ? keyWindow.rootViewController : undefined;
        },
        enumerable: true,
        configurable: true
    });
    ControllerModalPresenter.prototype.present = function (controller) {
        if (this.topViewController != null) {
            this.topViewController.presentViewControllerAnimatedCompletion(controller, true, null);
        }
    };
    Object.defineProperty(ControllerModalPresenter.prototype, "topViewController", {
        get: function () {
            var root = this.rootViewController;
            if (root == null) {
                return undefined;
            }
            return this.findTopViewController(root);
        },
        enumerable: true,
        configurable: true
    });
    ControllerModalPresenter.prototype.findTopViewController = function (root) {
        var presented = root.presentedViewController;
        if (presented != null) {
            return this.findTopViewController(presented);
        }
        if (root instanceof UISplitViewController) {
            var last = root.viewControllers.lastObject;
            if (last == null) {
                return root;
            }
            return this.findTopViewController(last);
        }
        else if (root instanceof UINavigationController) {
            var top_1 = root.topViewController;
            if (top_1 == null) {
                return root;
            }
            return this.findTopViewController(top_1);
        }
        else if (root instanceof UITabBarController) {
            var selected = root.selectedViewController;
            if (selected == null) {
                return root;
            }
            return this.findTopViewController(selected);
        }
        else {
            return root;
        }
    };
    return ControllerModalPresenter;
}());
exports.ControllerModalPresenter = ControllerModalPresenter;
//# sourceMappingURL=controllerModalPresenter.js.map