"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var http_1 = require("tns-core-modules/http/http");
function json(data) {
    if (data == null) {
        return undefined;
    }
    return data.toJSON(http_1.HttpResponseEncoding.UTF8);
}
exports.json = json;
function string(data) {
    if (data == null) {
        return undefined;
    }
    return data.toString(http_1.HttpResponseEncoding.UTF8);
}
exports.string = string;
var Response = (function () {
    function Response(data, request, response, error, EClass) {
        this.data = data;
        this.request = request;
        this.response = response;
        this.error = error;
        this.EClass = EClass;
    }
    Response.prototype.result = function () {
        if (this.error != null) {
            throw this.error;
        }
        var request = this.request;
        var response = this.response;
        if (response.statusCode >= 300) {
            var j = json(this.data);
            if (j == null) {
                throw new (this.EClass)(json, response.statusCode);
            }
            throw new (this.EClass)(string(this.data), response.statusCode);
        }
        if (this.data == null) {
            if (response.statusCode === 204) {
                return undefined;
            }
            throw new (this.EClass)(undefined, response.statusCode);
        }
        var obj = json(this.data);
        if (obj != null) {
            return obj;
        }
        var url = request.url;
        if (url != null && (new NSURL({ string: url })).path.endsWith('change_password')) {
            return undefined;
        }
        else {
            throw new (this.EClass)(string(this.data), response.statusCode);
        }
    };
    return Response;
}());
exports.Response = Response;
//# sourceMappingURL=response.js.map