"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var authSession_1 = require("./authSession");
var transactionStore_1 = require("./transactionStore");
var webAuthError_1 = require("./webAuthError");
var SafariAuthenticationSession = (function (_super) {
    __extends(SafariAuthenticationSession, _super);
    function SafariAuthenticationSession(authorizeURL, redirectURL, state, handler, finish, logger) {
        if (state === void 0) { state = null; }
        var _this = _super.call(this, redirectURL, state, handler, finish, logger) || this;
        _this.authorizeURL = authorizeURL;
        _this.authSession = new SFAuthenticationSession({
            URL: _this.authorizeURL,
            callbackURLScheme: _this.redirectURL.absoluteString,
            completionHandler: function (url, error) {
                if (error != null || url == null) {
                    if (1 === error.code) {
                        _this.finish({
                            failure: webAuthError_1.WebAuthError.userCancelled
                        });
                    }
                    else {
                        _this.finish({
                            failure: new webAuthError_1.WebAuthError(error.description)
                        });
                    }
                    return transactionStore_1.TransactionStore.shared.clear();
                }
                var _ = transactionStore_1.TransactionStore.shared.resume(url, NSDictionary.dictionary());
            }
        });
        if (_this.authSession != null) {
            _this.authSession.start();
        }
        return _this;
    }
    return SafariAuthenticationSession;
}(authSession_1.AuthSession));
exports.SafariAuthenticationSession = SafariAuthenticationSession;
//# sourceMappingURL=safariAuthenticationSession.js.map