"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var transactionStore_1 = require("./transactionStore");
var SafariAuthenticationSessionCallback = (function () {
    function SafariAuthenticationSessionCallback(url, schemeURL, callback) {
        var _this = this;
        this.callback = function () { };
        this.callback = callback;
        this.authSession = new SFAuthenticationSession({
            URL: url,
            callbackURLScheme: schemeURL,
            completionHandler: function (url, error) {
                _this.callback(url != null);
                transactionStore_1.TransactionStore.shared.clear();
            }
        });
        this.authSession.start();
    }
    SafariAuthenticationSessionCallback.prototype.resume = function (url, options) {
        this.callback(true);
        return true;
    };
    SafariAuthenticationSessionCallback.prototype.cancel = function () {
        this.callback(false);
    };
    return SafariAuthenticationSessionCallback;
}());
exports.SafariAuthenticationSessionCallback = SafariAuthenticationSessionCallback;
//# sourceMappingURL=safariAuthenticationSessionCallback.js.map