"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var authSession_1 = require("./authSession");
var transactionStore_1 = require("./transactionStore");
var SafariSessionDelegate = (function (_super) {
    __extends(SafariSessionDelegate, _super);
    function SafariSessionDelegate() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SafariSessionDelegate.initWithOwner = function (owner) {
        var delegate = SafariSessionDelegate.new();
        delegate._owner = owner;
        return delegate;
    };
    SafariSessionDelegate.prototype.safariViewControllerDidFinish = function (controller) {
        transactionStore_1.TransactionStore.shared.cancel(this._owner.get());
    };
    SafariSessionDelegate.ObjCProtocols = [SFSafariViewControllerDelegate];
    return SafariSessionDelegate;
}(NSObject));
exports.SafariSessionDelegate = SafariSessionDelegate;
var SafariSession = (function (_super) {
    __extends(SafariSession, _super);
    function SafariSession(controller, redirectURL, state, handler, finish, logger) {
        if (state === void 0) { state = undefined; }
        var _this = _super.call(this, redirectURL, state, handler, finish, logger) || this;
        _this.controller = new WeakRef(controller);
        controller.delegate = SafariSessionDelegate.initWithOwner(new WeakRef(_this));
        return _this;
    }
    return SafariSession;
}(authSession_1.AuthSession));
exports.SafariSession = SafariSession;
//# sourceMappingURL=safariSession.js.map