"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var platform_1 = require("tns-core-modules/platform/platform");
var SilentSafariViewController = (function (_super) {
    __extends(SilentSafariViewController, _super);
    function SilentSafariViewController() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onResult = function () { };
        return _this;
    }
    SilentSafariViewController.alloc = function () {
        return _super.alloc.call(this);
    };
    SilentSafariViewController.prototype.initWithURLCallback = function (URL, callback) {
        if (Number(platform_1.device.osVersion.split('.')[0]) >= 11.0) {
            _super.prototype.initWithURLConfiguration.call(this, URL, new SFSafariViewControllerConfiguration());
        }
        else {
            _super.prototype.initWithURLEntersReaderIfAvailable.call(this, URL, false);
        }
        this.onResult = callback;
        this.delegate = this;
        this.view.alpha = 0.05;
        this.modalPresentationStyle = 6;
        return this;
    };
    SilentSafariViewController.prototype.safariViewController = function (controller, didLoadSuccessfully) {
        var _this = this;
        controller.dismissViewControllerAnimatedCompletion(false, function () {
            _this.onResult(didLoadSuccessfully);
        });
    };
    SilentSafariViewController.ObjCProtocols = [SFSafariViewControllerDelegate];
    return SilentSafariViewController;
}(SFSafariViewController));
exports.SilentSafariViewController = SilentSafariViewController;
//# sourceMappingURL=silentSafariViewController.js.map