"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TransactionStore = (function () {
    function TransactionStore() {
    }
    Object.defineProperty(TransactionStore.prototype, "current", {
        get: function () {
            return this._current;
        },
        enumerable: true,
        configurable: true
    });
    TransactionStore.prototype.resume = function (url, options) {
        var resumed = (this._current != null) ? this._current.resume(url, options) : false;
        if (resumed != null) {
            this._current = undefined;
        }
        return resumed;
    };
    TransactionStore.prototype.store = function (transaction) {
        if (this._current != null) {
            this._current.cancel();
        }
        this._current = transaction;
    };
    TransactionStore.prototype.cancel = function (transaction) {
        transaction.cancel();
        if (this._current != null && this._current.state === transaction.state) {
            this._current = undefined;
        }
    };
    TransactionStore.prototype.clear = function () {
        this._current = undefined;
    };
    TransactionStore.shared = new TransactionStore();
    return TransactionStore;
}());
exports.TransactionStore = TransactionStore;
//# sourceMappingURL=transactionStore.js.map