"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function jsArrayToNSArray(arr) {
    return NSArray.arrayWithArray(arr);
}
exports.jsArrayToNSArray = jsArrayToNSArray;
function nsArrayToJSArray(a) {
    var arr = [];
    if (a !== undefined) {
        var count = a.count;
        for (var i = 0; i < count; i++) {
            arr.push(a.objectAtIndex(i));
        }
    }
    return arr;
}
exports.nsArrayToJSArray = nsArrayToJSArray;
function a0_encodeBase64URLSafe(dataOrString) {
    var data;
    if (dataOrString instanceof NSData) {
        data = dataOrString;
    }
    else {
        var text = new NSString({ string: dataOrString });
        data = text.dataUsingEncoding(NSUTF8StringEncoding);
    }
    return data.base64EncodedStringWithOptions(0)
        .replace('+', '-')
        .replace('/', '_')
        .replace('=', '');
}
exports.a0_encodeBase64URLSafe = a0_encodeBase64URLSafe;
function a0_url(domain) {
    var urlString;
    if (!domain.startsWith('https')) {
        urlString = "https://" + domain;
    }
    else {
        urlString = domain;
    }
    return new NSURL({ string: urlString });
}
exports.a0_url = a0_url;
function a0_fragmentValues(components) {
    var dict = {};
    if (components.fragment) {
        var items = components.fragment.split('&');
        for (var _i = 0, items_1 = items; _i < items_1.length; _i++) {
            var item = items_1[_i];
            var parts = item.split('=');
            if (parts.length !== 2) {
                break;
            }
            dict[parts[0]] = parts[1];
        }
    }
    return dict;
}
exports.a0_fragmentValues = a0_fragmentValues;
function a0_queryValues(components) {
    var dict = {};
    var items = components.queryItems;
    if (items != null) {
        for (var _i = 0, _a = nsArrayToJSArray(items); _i < _a.length; _i++) {
            var item = _a[_i];
            dict[item.name] = item.value;
        }
    }
    return dict;
}
exports.a0_queryValues = a0_queryValues;
exports.invokeOnRunLoop = (function () {
    var runloop = CFRunLoopGetMain();
    return function (func) {
        CFRunLoopPerformBlock(runloop, kCFRunLoopDefaultMode, func);
        CFRunLoopWakeUp(runloop);
    };
}());
//# sourceMappingURL=utils.js.map